*** All ICP Results ***

* `use path/dataset, clear' command loads the data file. Edit path accordingly. *

* Note: This code will not run without files icp_prices.dta and icp_price_sp.dta. * 

* ICP price data can be obtained upon request from the World Bank *

* Below is a list of ICP tradable good categories. Column (i) good indicator (variable g_number below); (ii) ICP good indicator; (iii) good description 

*	1	1101111 Rice	*
*	2	1101112 Other cereals and flour	*
*	3	1101113 Bread	*
*	4	1101114 Other bakery products	*
*	5	1101115 Pasta products	*
*	6	1101121 Beef and veal	*
*	7	1101122 Pork	*
*	8	1101123 Lamb, mutton and goat	*
*	9	1101124 Poultry	*
*	10	1101125 Other meats and preparations	*
*	11	1101131 Fresh or frozen fish and seafood	*
*	12	1101132 Preserved fish and seafood	*
*	13	1101141 Fresh milk	*
*	14	1101142 Preserved milk and milk products	*
*	15	1101143 Cheese	*
*	16	1101144 Eggs and egg-based products	*
*	17	1101151 Butter and margarine	*
*	18	1101153 Other edible oils and fats	*
*	19	1101161 Fresh or chilled fruit	*
*	20	1101162 Frozen, preserved or processed fruits	*
*	21	1101171 Fresh or chilled vegetables	*
*	22	1101172 Fresh or chilled potatoes	*
*	23	1101173 Frozen or preserved vegetables	*
*	24	1101181 Sugar	*
*	25	1101182 Jams, marmalades and honey	*
*	26	1101183 Confectionery, chocolate and ice cream	*
*	27	110119 Food products n.e.c. 	*
*	28	110121 Coffee, tea and cocoa 	*
*	29	110122 Mineral waters, soft drinks, fruit and vegetable juices 	*
*	30	1102111 Spirits	*
*	31	1102121 Wine	*
*	32	1102131 Beer	*
*	33	110220 Tobacco	*
*	34	1103111 Clothing materials and accessories	*
*	35	1103121 Garments	*
*	36	1103211 Footwear	*
*	37	110511 Furniture and furnishings	*
*	38	110512 Carpets and other floor coverings	*
*	39	110520 Household textiles 	*
*	40	110531 Major household appliances whether electric or not	*
*	41	110532 Small electric household appliances 	*
*	42	110540 Glassware, tableware and household utensils	*
*	43	110551 Major tools and equipment	*
*	44	110552 Small tools and miscellaneous accessories 	*
*	45	110561 Non-durable household goods 	*
*	46	110611 Pharmaceutical products 	*
*	47	110612 Other medical products 	*
*	48	110613 Therapeutical appliances and equipment	*
*	49	110711 Motor cars	*
*	50	110712 Motor cycles	*
*	51	110713 Bicycles	*
*	52	110722 Fuels and lubricants for personal transport equipment 	*
*	53	110820 Telephone and telefax equipment	*
*	54	110911 Audio-visual, photographic and information processing equipment	*
*	55	110921 Major durables for outdoor and indoor recreation	*
*	56	110931 Other recreational items and equipment	*
*	57	110950 Newspapers, books and stationery	*
*	58	111212 Appliances, articles and products for personal care	*
*	59	111231 Jewellery, clocks and watches	*
*	60	150110 Metal products and equipment	*
*	61	150120 Transport equipment	*
*	62	110914 Recording media 	*


********** ICP ALL GOODS **********

* Load ICP data in following format: column (i) Country name; (ii) good; (iii) exchange rate (foreign/dollar); (iv) price in foreign currency *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_prices.dta", clear 

gen price_dollar= price/xr_f_per_dollar 

* Add column (v) price of good in Spain, in dollar *

merge m:m g_number using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_price_sp.dta"

drop _merge

gen log_price_rel_sp=log(price_dollar/price_dollar_sp)

* All datasets used from this point on are publicly available and included in this folder *

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/wdi_2004.dta"

drop if log_price_rel_sp==.

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/geo_2004.dta"

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/gini_cia.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mean_tariff.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/sales_tax.dta"

drop _merge

drop if std_sale_tax==.

drop if log_price_rel_sp==.

drop if gini==.

gen log_gini= log(gini)

gen log_gini_sp=log_gini if country_name=="Spain"

egen log_gini_sp_m=max(log_gini_sp)

gen log_gini_rel_sp=log_gini-log_gini_sp_m

gen gross_tax=1+std_sale_tax

gen log_tax=log(gross_tax)

gen log_tax_sp=log_tax if country_name=="Spain"

egen log_tax_sp_m=max(log_tax_sp)

gen log_tax_rel_sp= log_tax-log_tax_sp_m

drop if weighted_sitc4_tariff==.

gen gross_tariff=1+weighted_sitc4_tariff/100

gen log_tariff=log(gross_tariff)

gen log_tariff_sp=log_tariff if country_name=="Spain"

egen log_tariff_sp_m=max(log_tariff_sp)

gen log_tariff_rel_sp= log_tariff-log_tariff_sp_m

gen log_pc_gdp= log(gdp/pop)

gen log_pc_gdp_sp=log_pc_gdp if country_name=="Spain"

egen log_pc_gdp_sp_m=max(log_pc_gdp_sp)

gen log_pc_gdp_rel_sp=log_pc_gdp-log_pc_gdp_sp_m

gen log_pc_gdp_ppp= log(gdp_ppp/pop)

gen log_pc_gdp_ppp_sp=log_pc_gdp_ppp if country_name=="Spain"

egen log_pc_gdp_ppp_sp_m=max(log_pc_gdp_ppp_sp)

gen log_pc_gdp_ppp_rel_sp=log_pc_gdp_ppp-log_pc_gdp_ppp_sp_m

gen log_pc_gni= log(gni/pop)

gen log_pc_gni_sp=log_pc_gni if country_name=="Spain"

egen log_pc_gni_sp_m=max(log_pc_gni_sp)

gen log_pc_gni_rel_sp=log_pc_gni-log_pc_gni_sp_m

gen log_pc_gni_atl= log(gni_atl/pop)

gen log_pc_gni_atl_sp=log_pc_gni_atl if country_name=="Spain"

egen log_pc_gni_atl_sp_m=max(log_pc_gni_atl_sp)

gen log_pc_gni_atl_rel_sp=log_pc_gni_atl-log_pc_gni_atl_sp_m

gen log_pc_cons= log(cons/pop)

gen log_pc_cons_sp=log_pc_cons if country_name=="Spain"

egen log_pc_cons_sp_m=max(log_pc_cons_sp)

gen log_pc_cons_rel_sp=log_pc_cons-log_pc_cons_sp_m

gen log_pc_hh_cons= log(hh_cons/pop)

gen log_pc_hh_cons_sp=log_pc_hh_cons if country_name=="Spain"

egen log_pc_hh_cons_sp_m=max(log_pc_hh_cons_sp)

gen log_pc_hh_cons_rel_sp=log_pc_hh_cons-log_pc_hh_cons_sp_m

gen log_pop=log(pop)

gen log_pop_sp=log_pop if country_name=="Spain"

egen log_pop_sp_m=max(log_pop_sp)

gen log_pop_rel_sp=log_pop-log_pop_sp_m

drop if gdp==.

drop if cons==.

drop if gdp_ppp==.

drop if gni_atl==.

drop if hh_cons==.

drop if pop==.

drop if gni==.

* Drop all observations corresponding to Spain because all variables are log diviations from Spain. Spain = 0 *

drop if country_name=="Spain"

* Table 10: Per-Capita Income and Price of Tradables, ICP 2005, 54 Countries, Top panel *

* Run each regression twice. The first command xi: reg Y X ... i.g_number, cluster(country_name) gives coefficient estimates from good fixed effect regression and standard errors that are clustered by country. *

* The second command xtreg Y X ... , fe i(g_number) gives the same coefficient estimates from good fixed effect regression and reports within R-squared *

* There are six measures of income per capita: log_pc_gdp_rel_sp, log_pc_cons_rel_sp, log_pc_hh_cons_rel_sp, log_pc_gni_rel_sp, log_pc_gni_atl_rel_sp, log_pc_gdp_ppp_rel_sp *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)


* Table 27: Per-Capita Income and Price of Tradables, ICP 2005, 54 Countries, No Sales Tax, Top Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)



********** ICP APPAREL/FOOTWEAR **********

* These three categories correspond to apparel and footwear products (see list above) *

* Table 10: Per-Capita Income and Price of Tradables, ICP 2005, 54 Countries, Bottom Panel *

keep if g_number==34|g_number==35|g_number==36

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)


* Table 27: Per-Capita Income and Price of Tradables, ICP 2005, 54 Countries, No Sales Tax, Bottom Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)


/********** ICP ALL GOODS, MANGO COUNTRIES **********/

* Re-do above, but only keep 29 Mango countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_prices.dta", clear

gen price_dollar= price/xr_f_per_dollar

merge m:m g_number using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_price_sp.dta"

drop _merge

gen log_price_rel_sp=log(price_dollar/price_dollar_sp)

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/wdi_2004.dta"

drop if log_price_rel_sp==.

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/geo_2004.dta"

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/gini_cia.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mean_tariff.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/sales_tax.dta"

drop _merge

drop if std_sale_tax==.

drop if log_price_rel_sp==.

drop if gini==.

gen log_gini= log(gini)

gen log_gini_sp=log_gini if country_name=="Spain"

egen log_gini_sp_m=max(log_gini_sp)

gen log_gini_rel_sp=log_gini-log_gini_sp_m

gen gross_tax=1+std_sale_tax

gen log_tax=log(gross_tax)

gen log_tax_sp=log_tax if country_name=="Spain"

egen log_tax_sp_m=max(log_tax_sp)

gen log_tax_rel_sp= log_tax-log_tax_sp_m

drop if weighted_sitc4_tariff==.

gen gross_tariff=1+weighted_sitc4_tariff/100

gen log_tariff=log(gross_tariff)

gen log_tariff_sp=log_tariff if country_name=="Spain"

egen log_tariff_sp_m=max(log_tariff_sp)

gen log_tariff_rel_sp= log_tariff-log_tariff_sp_m

gen log_pc_gdp= log(gdp/pop)

gen log_pc_gdp_sp=log_pc_gdp if country_name=="Spain"

egen log_pc_gdp_sp_m=max(log_pc_gdp_sp)

gen log_pc_gdp_rel_sp=log_pc_gdp-log_pc_gdp_sp_m

gen log_pc_gdp_ppp= log(gdp_ppp/pop)

gen log_pc_gdp_ppp_sp=log_pc_gdp_ppp if country_name=="Spain"

egen log_pc_gdp_ppp_sp_m=max(log_pc_gdp_ppp_sp)

gen log_pc_gdp_ppp_rel_sp=log_pc_gdp_ppp-log_pc_gdp_ppp_sp_m

gen log_pc_gni= log(gni/pop)

gen log_pc_gni_sp=log_pc_gni if country_name=="Spain"

egen log_pc_gni_sp_m=max(log_pc_gni_sp)

gen log_pc_gni_rel_sp=log_pc_gni-log_pc_gni_sp_m

gen log_pc_gni_atl= log(gni_atl/pop)

gen log_pc_gni_atl_sp=log_pc_gni_atl if country_name=="Spain"

egen log_pc_gni_atl_sp_m=max(log_pc_gni_atl_sp)

gen log_pc_gni_atl_rel_sp=log_pc_gni_atl-log_pc_gni_atl_sp_m

gen log_pc_cons= log(cons/pop)

gen log_pc_cons_sp=log_pc_cons if country_name=="Spain"

egen log_pc_cons_sp_m=max(log_pc_cons_sp)

gen log_pc_cons_rel_sp=log_pc_cons-log_pc_cons_sp_m

gen log_pc_hh_cons= log(hh_cons/pop)

gen log_pc_hh_cons_sp=log_pc_hh_cons if country_name=="Spain"

egen log_pc_hh_cons_sp_m=max(log_pc_hh_cons_sp)

gen log_pc_hh_cons_rel_sp=log_pc_hh_cons-log_pc_hh_cons_sp_m

gen log_pop=log(pop)

gen log_pop_sp=log_pop if country_name=="Spain"

egen log_pop_sp_m=max(log_pop_sp)

gen log_pop_rel_sp=log_pop-log_pop_sp_m

drop if gdp==.

drop if cons==.

drop if gdp_ppp==.

drop if gni_atl==.

drop if hh_cons==.

drop if pop==.

drop if gni==.

drop if country_name=="Spain"

keep if country_name=="Austria"|country_name=="Belgium"|country_name=="Bulgaria"|country_name=="Canada"|country_name=="Cyprus"|country_name=="Czech Republic"|country_name=="Denmark"|country_name=="Estonia"|country_name=="Finland"|country_name=="Germany"|country_name=="Greece"|country_name=="Hong Kong SAR, China"|country_name=="Hungary"|country_name=="Ireland"|country_name=="Japan"|country_name=="Lithuania"|country_name=="Luxembourg"|country_name=="Macao SAR, China"|country_name=="Malta"|country_name=="Netherlands"|country_name=="Norway"|country_name=="Poland"|country_name=="Romania"|country_name=="Slovak Republic"|country_name=="Slovenia"|country_name=="Sweden"|country_name=="Switzerland"|country_name=="Spain"|country_name=="United Kingdom"

* Table 9: Per-Capita Income and Price of Tradables, ICP 2005, 29 Countries, Top Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

* Table 28: Per-Capita Income and Price of Tradables, ICP 2005, 29 Countries, No Sales Tax, To Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

********** ICP APPAREL/FOOTWEAR **********

* These three categories correspond to apparel and footwear products (see list above) *

keep if g_number==34|g_number==35|g_number==36

* Table 9: Per-Capita Income and Price of Tradables, ICP 2005, 29 Countries, Bottom Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tax_rel_sp log_tariff_rel_sp, fe i(g_number)

* Table 28: Per-Capita Income and Price of Tradables, ICP 2005, 29 Countries, No Sales Tax, Bottom Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

* Re-do above, but do not merge with sales tax data. This yields 107 countries analyzed in Table 11 *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_prices.dta", clear

gen price_dollar= price/xr_f_per_dollar

merge m:m g_number using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_price_sp.dta"

drop _merge

gen log_price_rel_sp=log(price_dollar/price_dollar_sp)

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/wdi_2004.dta"

drop if log_price_rel_sp==.

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/geo_2004.dta"

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/gini_cia.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mean_tariff.dta"

drop _merge

drop if log_price_rel_sp==.

drop if gini==.

gen log_gini= log(gini)

gen log_gini_sp=log_gini if country_name=="Spain"

egen log_gini_sp_m=max(log_gini_sp)

gen log_gini_rel_sp=log_gini-log_gini_sp_m

drop if weighted_sitc4_tariff==.

gen gross_tariff=1+weighted_sitc4_tariff/100

gen log_tariff=log(gross_tariff)

gen log_tariff_sp=log_tariff if country_name=="Spain"

egen log_tariff_sp_m=max(log_tariff_sp)

gen log_tariff_rel_sp= log_tariff-log_tariff_sp_m

gen log_pc_gdp= log(gdp/pop)

gen log_pc_gdp_sp=log_pc_gdp if country_name=="Spain"

egen log_pc_gdp_sp_m=max(log_pc_gdp_sp)

gen log_pc_gdp_rel_sp=log_pc_gdp-log_pc_gdp_sp_m

gen log_pc_gdp_ppp= log(gdp_ppp/pop)

gen log_pc_gdp_ppp_sp=log_pc_gdp_ppp if country_name=="Spain"

egen log_pc_gdp_ppp_sp_m=max(log_pc_gdp_ppp_sp)

gen log_pc_gdp_ppp_rel_sp=log_pc_gdp_ppp-log_pc_gdp_ppp_sp_m

gen log_pc_gni= log(gni/pop)

gen log_pc_gni_sp=log_pc_gni if country_name=="Spain"

egen log_pc_gni_sp_m=max(log_pc_gni_sp)

gen log_pc_gni_rel_sp=log_pc_gni-log_pc_gni_sp_m

gen log_pc_gni_atl= log(gni_atl/pop)

gen log_pc_gni_atl_sp=log_pc_gni_atl if country_name=="Spain"

egen log_pc_gni_atl_sp_m=max(log_pc_gni_atl_sp)

gen log_pc_gni_atl_rel_sp=log_pc_gni_atl-log_pc_gni_atl_sp_m

gen log_pc_cons= log(cons/pop)

gen log_pc_cons_sp=log_pc_cons if country_name=="Spain"

egen log_pc_cons_sp_m=max(log_pc_cons_sp)

gen log_pc_cons_rel_sp=log_pc_cons-log_pc_cons_sp_m

gen log_pc_hh_cons= log(hh_cons/pop)

gen log_pc_hh_cons_sp=log_pc_hh_cons if country_name=="Spain"

egen log_pc_hh_cons_sp_m=max(log_pc_hh_cons_sp)

gen log_pc_hh_cons_rel_sp=log_pc_hh_cons-log_pc_hh_cons_sp_m

gen log_pop=log(pop)

gen log_pop_sp=log_pop if country_name=="Spain"

egen log_pop_sp_m=max(log_pop_sp)

gen log_pop_rel_sp=log_pop-log_pop_sp_m

drop if gdp==.

drop if cons==.

drop if gdp_ppp==.

drop if gni_atl==.

drop if hh_cons==.

drop if pop==.

drop if gni==.

drop if country_name=="Spain"

* Table 11: Per-Capita Income and Price of Tradables, ICP 2005, 107 Countries, No Sales Tax, Top Panel *

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

* Table 11: Per-Capita Income and Price of Tradables, ICP 2005, 107 Countries, No Sales Tax, Bottom Panel *

keep if g_number==34|g_number==35|g_number==36

xi: reg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_hh_cons_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_rel_sp log_pop_rel_sp  euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gni_atl_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)

xi: reg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp i.g_number, cluster(country_name)

xtreg log_price_rel_sp log_pc_gdp_ppp_rel_sp log_pop_rel_sp euro_2004 island landlocked log_gini_rel_sp log_tariff_rel_sp, fe i(g_number)


* Figure 2: Per-Capita Income and Price in ICP Dataset, left panel, and associated summary statistics*

* Re-do above, but only keep 29 Mango countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_prices.dta", clear

gen price_dollar= price/xr_f_per_dollar

merge m:m g_number using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_price_sp.dta"

drop _merge

gen log_price_rel_sp=log(price_dollar/price_dollar_sp)

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/wdi_2004.dta"

drop if log_price_rel_sp==.

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/geo_2004.dta"

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/gini_cia.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mean_tariff.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/sales_tax.dta"

drop _merge

drop if std_sale_tax==.

drop if log_price_rel_sp==.

drop if gini==.

gen log_gini= log(gini)

gen log_gini_sp=log_gini if country_name=="Spain"

egen log_gini_sp_m=max(log_gini_sp)

gen log_gini_rel_sp=log_gini-log_gini_sp_m

gen gross_tax=1+std_sale_tax

gen log_tax=log(gross_tax)

gen log_tax_sp=log_tax if country_name=="Spain"

egen log_tax_sp_m=max(log_tax_sp)

gen log_tax_rel_sp= log_tax-log_tax_sp_m

drop if weighted_sitc4_tariff==.

gen gross_tariff=1+weighted_sitc4_tariff/100

gen log_tariff=log(gross_tariff)

gen log_tariff_sp=log_tariff if country_name=="Spain"

egen log_tariff_sp_m=max(log_tariff_sp)

gen log_tariff_rel_sp= log_tariff-log_tariff_sp_m

gen log_pc_gdp= log(gdp/pop)

gen log_pc_gdp_sp=log_pc_gdp if country_name=="Spain"

egen log_pc_gdp_sp_m=max(log_pc_gdp_sp)

gen log_pc_gdp_rel_sp=log_pc_gdp-log_pc_gdp_sp_m

gen log_pc_gdp_ppp= log(gdp_ppp/pop)

gen log_pc_gdp_ppp_sp=log_pc_gdp_ppp if country_name=="Spain"

egen log_pc_gdp_ppp_sp_m=max(log_pc_gdp_ppp_sp)

gen log_pc_gdp_ppp_rel_sp=log_pc_gdp_ppp-log_pc_gdp_ppp_sp_m

gen log_pc_gni= log(gni/pop)

gen log_pc_gni_sp=log_pc_gni if country_name=="Spain"

egen log_pc_gni_sp_m=max(log_pc_gni_sp)

gen log_pc_gni_rel_sp=log_pc_gni-log_pc_gni_sp_m

gen log_pc_gni_atl= log(gni_atl/pop)

gen log_pc_gni_atl_sp=log_pc_gni_atl if country_name=="Spain"

egen log_pc_gni_atl_sp_m=max(log_pc_gni_atl_sp)

gen log_pc_gni_atl_rel_sp=log_pc_gni_atl-log_pc_gni_atl_sp_m

gen log_pc_cons= log(cons/pop)

gen log_pc_cons_sp=log_pc_cons if country_name=="Spain"

egen log_pc_cons_sp_m=max(log_pc_cons_sp)

gen log_pc_cons_rel_sp=log_pc_cons-log_pc_cons_sp_m

gen log_pc_hh_cons= log(hh_cons/pop)

gen log_pc_hh_cons_sp=log_pc_hh_cons if country_name=="Spain"

egen log_pc_hh_cons_sp_m=max(log_pc_hh_cons_sp)

gen log_pc_hh_cons_rel_sp=log_pc_hh_cons-log_pc_hh_cons_sp_m

gen log_pop=log(pop)

gen log_pop_sp=log_pop if country_name=="Spain"

egen log_pop_sp_m=max(log_pop_sp)

gen log_pop_rel_sp=log_pop-log_pop_sp_m

drop if gdp==.

drop if cons==.

drop if gdp_ppp==.

drop if gni_atl==.

drop if hh_cons==.

drop if pop==.

drop if gni==.

drop if country_name=="Spain"

keep if country_name=="Austria"|country_name=="Belgium"|country_name=="Bulgaria"|country_name=="Canada"|country_name=="Cyprus"|country_name=="Czech Republic"|country_name=="Denmark"|country_name=="Estonia"|country_name=="Finland"|country_name=="Germany"|country_name=="Greece"|country_name=="Hong Kong SAR, China"|country_name=="Hungary"|country_name=="Ireland"|country_name=="Japan"|country_name=="Lithuania"|country_name=="Luxembourg"|country_name=="Macao SAR, China"|country_name=="Malta"|country_name=="Netherlands"|country_name=="Norway"|country_name=="Poland"|country_name=="Romania"|country_name=="Slovak Republic"|country_name=="Slovenia"|country_name=="Sweden"|country_name=="Switzerland"|country_name=="Spain"|country_name=="United Kingdom"

* Left panel of Figure 2 plots the output below * 

collapse log_price_rel_sp log_pc_gdp_rel_sp, by(country_name)

* Summary statistic corresponding to left panel of Figure 2 *

regress log_price_rel_sp log_pc_gdp_rel_sp


* Figure 2: Per-Capita Income and Price in ICP Dataset, right panel, and associated summary statistics*

* Re-do above, but only keep 29 Mango countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_prices.dta", clear

gen price_dollar= price/xr_f_per_dollar

merge m:m g_number using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/icp_price_sp.dta"

drop _merge

gen log_price_rel_sp=log(price_dollar/price_dollar_sp)

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/wdi_2004.dta"

drop if log_price_rel_sp==.

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/geo_2004.dta"

drop _merge

merge m:m country_name using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/gini_cia.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mean_tariff.dta"

drop _merge

merge m:m country_code using "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/sales_tax.dta"

drop _merge

drop if std_sale_tax==.

drop if log_price_rel_sp==.

drop if gini==.

gen log_gini= log(gini)

gen log_gini_sp=log_gini if country_name=="Spain"

egen log_gini_sp_m=max(log_gini_sp)

gen log_gini_rel_sp=log_gini-log_gini_sp_m

gen gross_tax=1+std_sale_tax

gen log_tax=log(gross_tax)

gen log_tax_sp=log_tax if country_name=="Spain"

egen log_tax_sp_m=max(log_tax_sp)

gen log_tax_rel_sp= log_tax-log_tax_sp_m

drop if weighted_sitc4_tariff==.

gen gross_tariff=1+weighted_sitc4_tariff/100

gen log_tariff=log(gross_tariff)

gen log_tariff_sp=log_tariff if country_name=="Spain"

egen log_tariff_sp_m=max(log_tariff_sp)

gen log_tariff_rel_sp= log_tariff-log_tariff_sp_m

gen log_pc_gdp= log(gdp/pop)

gen log_pc_gdp_sp=log_pc_gdp if country_name=="Spain"

egen log_pc_gdp_sp_m=max(log_pc_gdp_sp)

gen log_pc_gdp_rel_sp=log_pc_gdp-log_pc_gdp_sp_m

gen log_pc_gdp_ppp= log(gdp_ppp/pop)

gen log_pc_gdp_ppp_sp=log_pc_gdp_ppp if country_name=="Spain"

egen log_pc_gdp_ppp_sp_m=max(log_pc_gdp_ppp_sp)

gen log_pc_gdp_ppp_rel_sp=log_pc_gdp_ppp-log_pc_gdp_ppp_sp_m

gen log_pc_gni= log(gni/pop)

gen log_pc_gni_sp=log_pc_gni if country_name=="Spain"

egen log_pc_gni_sp_m=max(log_pc_gni_sp)

gen log_pc_gni_rel_sp=log_pc_gni-log_pc_gni_sp_m

gen log_pc_gni_atl= log(gni_atl/pop)

gen log_pc_gni_atl_sp=log_pc_gni_atl if country_name=="Spain"

egen log_pc_gni_atl_sp_m=max(log_pc_gni_atl_sp)

gen log_pc_gni_atl_rel_sp=log_pc_gni_atl-log_pc_gni_atl_sp_m

gen log_pc_cons= log(cons/pop)

gen log_pc_cons_sp=log_pc_cons if country_name=="Spain"

egen log_pc_cons_sp_m=max(log_pc_cons_sp)

gen log_pc_cons_rel_sp=log_pc_cons-log_pc_cons_sp_m

gen log_pc_hh_cons= log(hh_cons/pop)

gen log_pc_hh_cons_sp=log_pc_hh_cons if country_name=="Spain"

egen log_pc_hh_cons_sp_m=max(log_pc_hh_cons_sp)

gen log_pc_hh_cons_rel_sp=log_pc_hh_cons-log_pc_hh_cons_sp_m

gen log_pop=log(pop)

gen log_pop_sp=log_pop if country_name=="Spain"

egen log_pop_sp_m=max(log_pop_sp)

gen log_pop_rel_sp=log_pop-log_pop_sp_m

drop if gdp==.

drop if cons==.

drop if gdp_ppp==.

drop if gni_atl==.

drop if hh_cons==.

drop if pop==.

drop if gni==.

drop if country_name=="Spain"

keep if country_name=="Austria"|country_name=="Belgium"|country_name=="Bulgaria"|country_name=="Canada"|country_name=="Cyprus"|country_name=="Czech Republic"|country_name=="Denmark"|country_name=="Estonia"|country_name=="Finland"|country_name=="Germany"|country_name=="Greece"|country_name=="Hong Kong SAR, China"|country_name=="Hungary"|country_name=="Ireland"|country_name=="Japan"|country_name=="Lithuania"|country_name=="Luxembourg"|country_name=="Macao SAR, China"|country_name=="Malta"|country_name=="Netherlands"|country_name=="Norway"|country_name=="Poland"|country_name=="Romania"|country_name=="Slovak Republic"|country_name=="Slovenia"|country_name=="Sweden"|country_name=="Switzerland"|country_name=="Spain"|country_name=="United Kingdom"

* Right panel of Figure 2 plots the output below * 

keep if g_number==34|g_number==35|g_number==36

collapse log_price_rel_sp log_pc_gdp_rel_sp, by(country_name)

* Summary statistic corresponding to right panel of Figure 2 *

regress log_price_rel_sp log_pc_gdp_rel_sp




