* This code replicates all tables in paper. *

* `use path/dataset, clear' command loads the data file. Edit path accordingly. *

* Table 1: Mango's Sales Per Destination in Year 2010, 95 Countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_sales_data.dta", clear

* Drop all observations corresponding to Spain because all variables are log diviations from Spain. Spain = 0 *

drop if country=="spain"

regress log_exp_share_sp pc_gdp_sp_log pop_log

* Table 2: Mango's Shipping & Handling Fees in Euro, 29 Countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_data.dta", clear

keep if good==1

keep country_name min_ship_apr cost_below_apr cost_above_apr

* Table 21: DHL Pricing Rule, 29 Countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_data.dta", clear

keep if good==1

drop if country==29

keep log_pop_2010 log_gdp_cur_2010 log_dist log_dist_2 log_dist_3 dhl_log landlocked island rta

regress dhl_log log_pop_2010 log_gdp_cur_2010 log_dist  landlocked island rta

regress dhl_log log_pop_2010 log_gdp_cur_2010 log_dist log_dist_2 log_dist_3 landlocked island rta

* Table 4: Per-Capita Income and (Geometric) Average Item Price, Relative to Spain, 29 Countries *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_data.dta", clear

collapse log_gdp_cur_2010 log_p_apr_single log_p_apr_mnzrs log_p_apr, by(country_name)

gen p_apr_single=exp(log_p_apr_single)

gen p_apr_mnzrs=exp(log_p_apr_mnzrs)

gen p_apr=exp(log_p_apr)

* Compute mean and standard deviation of prices, relative to Spain *

collapse p_apr_single p_apr_mnzrs p_apr (sd) p_apr_single_sd=p_apr_single p_apr_mnzrs_sd=p_apr_mnzrs p_apr_sd=p_apr

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_data.dta", clear

collapse log_gdp_cur_2010 log_p_apr_single log_p_apr_mnzrs log_p_apr, by(country_name)

gen p_apr_single=exp(log_p_apr_single)

gen p_apr_mnzrs=exp(log_p_apr_mnzrs)

gen p_apr=exp(log_p_apr)

drop if country_name=="Spain eur"

regress log_p_apr_single log_gdp_cur_2010

regress log_p_apr_mnzrs log_gdp_cur_2010

regress log_p_apr log_gdp_cur_2010

* To produce Figure 1, plot output of Table 4. *

* Table 5: Benchmark ResultsOne-Item Purchase, 29 Countries *

* Drop all observations corresponding to Spain because all variables are log diviations from Spain. Spain = 0 *

* Run each regression twice. The first command xi: reg Y X ... i.good, cluster(country) gives coefficient estimates from good fixed effect regression and standard errors that are clustered by country. *

* The second command xtreg Y X ... , fe i(good) gives the same coefficient estimates from good fixed effect regression and reports within R-squared *

* There are three measures of competition: log_icp, log_go, and log_pop_2010. * 

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_data.dta", clear

drop if country==29

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_go log_vat log_gini euro inallstores inonestore maillocal pickup i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_go log_vat log_gini euro inallstores inonestore maillocal pickup, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_pop_2010 log_vat log_gini euro inallstores inonestore maillocal pickup i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_pop_2010 log_vat log_gini euro inallstores inonestore maillocal pickup, fe i(good)

* Table 6: Additional Measures of Trade Barriers: One-Item Purchase, 29 Countries *

* There are two measures of distance: (i) polynomial: log_dist, log_dist_2, log_dist_3; (ii) regions: ek1c, ek2c, ek3c *

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta log_dist log_dist_2 log_dist_3 i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta log_dist log_dist_2 log_dist_3, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_go log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta log_dist log_dist_2 log_dist_3 i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_go log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta log_dist log_dist_2 log_dist_3, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_pop_2010 log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta log_dist log_dist_2 log_dist_3 i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_pop_2010 log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta log_dist log_dist_2 log_dist_3, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta ek1c ek2c ek3c i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta ek1c ek2c ek3c, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_go log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta ek1c ek2c ek3c i.good, cluster(country) 

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_go log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta ek1c ek2c ek3c, fe i(good)

xi: reg log_p_apr_single log_gdp_cur_2010 dhl_log log_pop_2010 log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta ek1c ek2c ek3c i.good, cluster(country)

xtreg log_p_apr_single log_gdp_cur_2010 dhl_log log_pop_2010 log_vat log_gini euro inallstores inonestore maillocal pickup landlocked island rta ek1c ek2c ek3c, fe i(good)

* Table 12: Consumption Expenditure as Measure of IncomeOne-Item Purchase, 29 Countries *

* Table 13: GNI as Measure of IncomeOne-Item Purchase, 29 Countries *

* Table 14: PPP GDP as Measure of IncomeOne-Item Purchase, 29 Countries *

* Table 15: Total PC Cons and Gravity Measure of Trade Barriers: One-Item Purchase, 29 Countries *

* Table 16: HH PC Cons and Gravity Measure of Trade Barriers: One-Item Purchase, 29 Countries *

* Table 17: PC GNI and Gravity Measure of Trade Barriers: One-Item Purchase, 29 Countries *

* Table 18: PC GNI Atlas and Gravity Measure of Trade Barriers: One-Item Purchase, 29 Countries *

* Table 19: PC PPP GDP and Gravity Measure of Trade Barriers: One-Item Purchase, 29 Countries *

* Tables 12-19: Repeat all steps for Table 5 above replacing log_gdp_cur_2010 with each one of the following five alternative measures of income per capita: log_hh_cons_cur_2010, log_total_cons_cur_2010, log_gni_atl_2009, log_gni_cur_2009, log_ppp_gdp_2010 *

* Table 7: Robustness ResultsShipping-Cost-Minimizers, 29 Countries *

* Table 7: Repeat all steps for Table 5 above replacing log_p_apr_single with log_p_apr_mnzrs *

* Table 8: Additional Measures of Trade Barriers: Shipping-Cost-Minimizers, 29 Countries *

* Table 8: Repeat all steps for Table 6 above replacing log_p_apr_single with log_p_apr_mnzrs *

* Table 20: Alternative Measures of Per-capita Income: Shipping-Cost Minimizers, 29 Countries *

* Table 20: Repeat all steps for Tables 12-19 above replacing log_p_apr_single with log_p_apr_mnzrs *

* Table 22: Robustness ResultsWeb-Listed Prices, 29 Countries *

* Table 22: Repeat all steps for Table 5 above replacing log_p_apr_single with log_p_apr *

* Table 23: Additional Measures of Trade Barriers: Web-Listed Prices, 29 Countries *

* Table 23: Repeat all steps for Table 6 above replacing log_p_apr_single with log_p_apr *

* Table 24: Alternative Measures of Per-capita Income: Web-Listed Prices, 29 Countries *

* Table 24: Repeat all steps for Tables 12-19 above replacing log_p_apr_single with log_p_apr *

* Footnote 30: Repeat all exercises above using: (i) log_p_feb_single and log_p_mar_single for one-item purchase; (ii) log_p_feb_mnzrs and log_p_mar_mnzrs for shipping-cost minimizer prices; (iii) log_p_feb and log_p_mar for web-listed prices *

* Footnote 35: Repeat all exercise above adding log_mkt_share as explanatory variable *

* Footnote 39: First generate relative prices (in levels): ex. gen exp_log_p_apr_single=exp(log_p_apr_single). Then repeat all exercises above using PPMLE. An example of a command can be found below. *

poisson exp_log_p_apr_single log_gdp_cur_2010 dhl_log log_icp log_vat log_gini euro inallstores inonestore maillocal pickup i.good, cluster(country)

* Supplementary Appendix VI: To generate all tables, figures, and summary statistics use code below *

* Figure 3 and associated statistics *

use "/Users/sina/Dropbox/Documents/Post JM work/My Papers/JMP Re-Revision/ReStud/Final Revision/Submission materials/mango_data.dta", clear

keep if good==1

gen fee_per_bundle_above=cost_above/min_ship

histogram fee_per_bundle

histogram fee_per_bundle_above

summarize fee_per_bundle, detail

summarize fee_per_bundle_above, detail

summarize fee_per_bundle

summarize fee_per_bundle_above

* Figures 4 and 5, Tables 25 and 26, and associated statistics *

summarize price_local if price_local<min_ship

gen p_good_min_ship= price_local/min_ship

histogram p_good_min_ship

summarize p_good_min_ship

summarize p_good_min_ship, detail

* For subset of countries with zero shipping cost above threshold *

histogram p_good_min_ship if cost_above==0

summarize p_good_min_ship if cost_above==0

summarize p_good_min_ship if cost_above==0, detail

summarize price_local if price_local<min_ship & cost_above==0

* For subset of countries with positive shipping cost above threshold *

histogram p_good_min_ship if cost_above>0

summarize p_good_min_ship if cost_above>0

summarize p_good_min_ship if cost_above>0, detail

summarize price_local if price_local<min_ship & cost_above>0

gen p_good_fee= cost_above/price_local

histogram p_good_fee if cost_above>0

summarize p_good_fee if cost_above>0

summarize p_good_fee if cost_above>0, detail

gen p_good_fee_below=cost_below/price_local

histogram p_good_fee_below if price_local<min_ship

summarize p_good_fee_below if price_local<min_ship

summarize p_good_fee_below if price_local<min_ship

summarize p_good_fee_below if price_local<min_ship, detail


